:root {
    --lightBlue: #61acd2; /*button farge*/
    --darkBlue: #3d718c; /*button hover farge*/
    --white: #fff;  /*tekstboks farge og tekst med hover*/
    --black: #000; /*tekst farge*/
    --transitionSpeed: 1000ms;
    --opacityValue: 0.35;
}
body, html {
    height: 100%;
    margin: 0px;
    overflow: hidden;
}
p {
    text-align: center;
}
header {
    display: flex;
    position: absolute;
    width: auto;
    height: 10%;
    background-color: var(--white);
    top: 10%;
    text-align: center;
    border-radius: 25px;
    padding: 1%;
    z-index: 3;
    align-content: center;
    align-items: center;
    right: 40%;
}
.sea__names_p {
    padding: 15px;
}
/*Background/wrap av hele nettsiden*/
.back__ground {
    display: flex;
    position: absolute;
    background-image: url(verden.jpg);
    height: 100%;
    width: 100%;
    max-width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 0;
}
.container__1 {
    position: relative;
    height: 100%;
    width: 33.3%;

}
.container__2 {
    position: relative;
    height: 100%;
    width: 33.3%;

}
.container__3 {
    position: relative;
    height: 100%;
    width: 33.3%;

}
.all__seas {
    background-color: var(--lightBlue);
    height: 4%;
    top: 52vh;
    border-radius: 25px;
    width: 30%;
}
/*Individuel id/class til hvert hav*/
.sea__one {
    position: relative;
    top: 50%;
    left: 40%;
}
.sea__two {
    position: relative;
    left: 15%;
}
.sea__three {
    position: relative;
    top: 70%;
    left: 5%;
}
/*Fakta boxks*/
.text__box {
    position: absolute;
    visibility: hidden;
    width: 130%;
    padding: 5px;
}
.sea__p_tag {
    visibility: hidden;
    opacity: 0;
    transition: var(--transitionSpeed);
}
.all__seas, .text__box {
    opacity: 1;
    transition: var(--transitionSpeed);
}
.all__seas .text__box {
    top: -400%;
    right: 100%;
}

/*Hover*/
.all__seas:hover .text__box, a {
    opacity: 1;
    visibility: visible;
    color: var(--black);
    background-color: var(--white);
    box-shadow: 2.5px 2.5px;
}
.all__seas:hover .sea__p_tag{
    visibility: visible;
    color: var(--black);
    opacity: 1;
}
.all__seas:hover {
    color: var(--white);
    background-color: var(--darkBlue);
}
.sea__one:hover .img__stillehavet_right {
    visibility: visible;
    opacity: var(--opacityValue);
}
.sea__one:hover .img__stillehavet_left{
    visibility: visible;
    opacity: var(--opacityValue);
}
.sea__two:hover .img__atlanterhavet {
    visibility: visible;
    opacity: var(--opacityValue);
}
.sea__three:hover .img__indiahavet {
    visibility: visible;
    opacity: var(--opacityValue);
}

/*Hvis skjermen ikke er en viss størrelse skal ikke hover-outlinen vises.(Fordi top-verdier lever sitt eget liv av en rar grunn)*/
@media only screen and (min-width: 2000px) {
    .img__stillehavet_left{
        top:-1540%;
    }
    .img__stillehavet_right{
        bottom: 4315%;
    }
    .img__atlanterhavet{
        top:-46.1vh;
    }
    .img__indiahavet{
        top:-25.4vh;
    }

}
@media only screen and (min-width: 1080px){
    .img__stillehavet_left{
        top:0;
    }
    .img__stillehavet_right{
        bottom: 0;
    }
    .img__atlanterhavet{
        top:0;
    }
    .img__indiahavet{
        top:0;
    }
}

/*Laptop top-verdier*/
    .img__stillehavet_right{
        position: relative;
        height: auto;
        bottom: 4685%;
        right: -602%;
        width: 26.7vw;
        visibility: hidden;
        z-index: 0;
    }
    .img__stillehavet_left {
        position: relative;
        height: auto;
        top: -1730%;
        left: -133%;
        width: 33.6vw;
        visibility: hidden;
        cursor: pointer;
        z-index: 0;
    }
    .img__atlanterhavet {
        position: relative;
        height: auto;
        width: 45.3vw;
        top: -53vh;
        Right:171%;
        visibility: hidden;
        z-index: 0;
    }
    .img__indiahavet {
        position: relative;
        height: auto;
        width: 30vw;
        top:-30vh;
        right: 121%;
        visibility: hidden;
        z-index: 0;
    }